<?php


namespace App\ViewModels\Consulta\ConsultaDetailsViewModel;



use App\Utils\Builder;

class OpcaoDetailsConsultaBuilder implements Builder
{
    protected $id;
    protected $descricao;

    public function setId(int $id): OpcaoDetailsConsultaBuilder
    {
        $this->id = $id;
        return $this;
    }

    public function setDescricao(string $descricao): OpcaoDetailsConsultaBuilder
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function build(): OpcaoDetailsConsulta
    {
        $opcao_details = new OpcaoDetailsConsulta;
        $opcao_details->setid($this->id);
        $opcao_details->setdescricao($this->descricao);
        return $opcao_details;
    }
}